On Mon, Aug 1, 2011 at 10:08 PM, Viaduct Productions
> Been trying to install 1.9.2 on Snow Leopard all evening with another develping me out.             >
>> ld: in /usr/local/lib/libsqlite3.dylib, missing required architecture x86_64 in file for architecture x86_64
>> collect2: ld returned 1 exit status
>> make[1]: *** [../../.ext/x86_64-darwin10.8.0/tcltklib.bundle] Error 1
>> make: *** [mkmain.sh] Error 1
>
> sqlite is installed already for other technologies that I have, so I can't overwrite that.

How did you get the sqlite you do have?  (Was it built for x86_64?)
http://osdir.com/ml/sqlite-users/2010-05/msg00477.html

What problem are you having with RVM?
http://www.markhneedham.com/blog/2010/07/08/installing-ruby-1-9-2-with-rvm-on-snow-leopard/